<div>
    <table mat-table [dataSource]="dataSource" matSort matSortActive="id"
        matSortDirection="asc" width="100%">
        <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>id</th>
            <td mat-cell *matCellDef="let row"> {{ row.id }} </td>
        </ng-container>
        <ng-container matColumnDef="label">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>label</th>
            <td mat-cell *matCellDef="let row"> {{ row.label }} </td>
        </ng-container>
        <ng-container matColumnDef="category">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>category</th>
            <td mat-cell *matCellDef="let row"> {{ row.category.label }} </td>
        </ng-container>
        <ng-container matColumnDef="price">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>price</th>
            <td mat-cell *matCellDef="let row"> {{ row.price }} </td>
        </ng-container>
        <ng-container matColumnDef="quantity">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>quantity</th>
            <td mat-cell *matCellDef="let row"> {{ row.quantity }} </td>
        </ng-container>
        <ng-container matColumnDef="actions">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>actions</th>
            <td mat-cell *matCellDef="let row">
                <div class="btn-group">
                    <button mat-icon-button (click)="viewElement(row)">
                        <mat-icon>visibility</mat-icon>
                    </button>
                    <button *ngIf="isAdmin" mat-icon-button (click)="editElement(row)">
                        <mat-icon>edit</mat-icon>
                    </button>
                    <button *ngIf="isAdmin" mat-icon-button (click)="deleteElement(row)">
                        <mat-icon>delete</mat-icon>
                    </button>
                </div>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayColumns;"></tr>
    </table>
    <mat-paginator [pageSize]="10" [pageSizeOptions]="[5, 10, 15, 20]"></mat-paginator>
    <button *ngIf="isAdmin" mat-icon-button (click)="create()">
        <mat-icon>create</mat-icon> Create
    </button>
</div>